classification
Title: Mention modernize and future in Python 2/3 porting HOWTO
Type: Stage:
Components: Documentation Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: barry, brett.cannon, docs@python, martin.panter, python-dev
Priority: normal Keywords:

Created on 2013-12-30 19:43 by brett.cannon, last changed 2014-01-07 16:52 by brett.cannon. This issue is now closed.

Messages (2)
msg207103 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-12-30 19:43
https://github.com/mitsuhiko/python-modernize
http://python-future.org/

Should also restructure to de-emphasize 2to3 and other approaches. In all honesty it should probably be nearly gutted to just "here are examples of how to write Python 2/3 compatible code", point to appropriate libraries, and be done with it with a minimal mention of 2to3 and 3to2.
msg207560 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-01-07 16:52
New changeset e4d98ed54c53 by Brett Cannon in branch 'default':
Issue #20096: Update the Python 2/3 porting HOWTO to focus on
http://hg.python.org/cpython/rev/e4d98ed54c53
History
Date User Action Args
2014-01-07 16:52:37brett.cannonsetstatus: open -> closed
assignee: docs@python -> brett.cannon
resolution: fixed
2014-01-07 16:52:13python-devsetnosy: + python-dev
messages: + msg207560
2013-12-31 22:09:03martin.pantersetnosy: + martin.panter
2013-12-30 19:55:00barrysetnosy: + barry
2013-12-30 19:43:50brett.cannoncreate